package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	/**
	 * ...
	 * @author Time
	 */
	public class EyeWeed extends Entity
	{
		[Embed(source = "data/EyeWeed.png")] private var imgEyeWeed:Class;
		private var sprEyeWeed:Spritemap = new Spritemap(imgEyeWeed, 16, 20);
		
		public static var myScale:int = Game.scale;
		public static const myLayer:int = 50;
		
		public function EyeWeed(_x:int, _y:int) 
		{
			super(_x, _y, sprEyeWeed);
			sprEyeWeed.centerOO();
			sprEyeWeed.scale = myScale;
			
			layer = myLayer;
		}
		
		override public function added():void
		{
			FP.world.add(new Eye(x - 6 * myScale, y - 8 * myScale));
			FP.world.add(new Eye(x - 2 * myScale, y - 4 * myScale));
			FP.world.add(new Eye(x + myScale, y - 7 * myScale));
			FP.world.add(new Eye(x + 6 * myScale, y - 7 * myScale));
		}
		
	}

}