package  
{
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author Time
	 */
	public class SolidBack extends Entity
	{
		public static var myLayer:int = 150;
		
		private var myPosition:Rectangle = new Rectangle();
		private var _width:int;
		private var _height:int;
		private var color:uint;
		
		public function SolidBack(_x:int, _y:int, _w:int, _h:int, _c:int=0) 
		{
			super(_x, _y);
			if (_w > 0 && _h > 0)
			{
				myPosition.x = x;
				myPosition.y = y;
				myPosition.width = _w;
				myPosition.height = _h;
			}
			type = "SolidBack";
			color = Game.blockColorBack[_c];
			layer = myLayer;
		}
		
		override public function render():void
		{
			myPosition.x = x - FP.camera.x;
			myPosition.y = y - FP.camera.y;
			FP.buffer.fillRect(myPosition, color);
		}
		
	}

}